Gets prospect multiple scenario analysis set-up, volume and risk results, scenario outcome tree and associated polygon by prospect multiple scenario analysis ID.
Security
bearer and appkey
- https://eu-api.delfi.slb.com/sparhttps://eu-api.delfi.slb.com/spar/assessments/v1/prospectmultiplescenarioanalysisaggregation/{id}
- Mock serverhttps://developer.slb.com/_mock/solutions/opportunity-assessor/apis/reporting-by-unit-and-analysis/assessments/v1/prospectmultiplescenarioanalysisaggregation/{id}
curl -i -X GET \
'https://eu-api.delfi.slb.com/spar/assessments/v1/prospectmultiplescenarioanalysisaggregation/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'appkey: YOUR_API_KEY_HERE' \
-H 'slb-contract-id: My-contract-ID'OK
The real name of the user who most recently modified the analysis aggregation.
The version of the prospect multiple scenario analysis aggregation. Allowed values are A (approved), H (historical), W (working) and T (test).
analysisResultobject(ProspectAnalysisAggregationDataWithResultDto)
A data transfer object (DTO) representing prospect analysis aggregation.
scenarioSetupsArray of objects(ScenarioSetupDto)
The analysis scenario setups used in this prospect multiple scenario aggregation.
The sum of the scenario's multiplication of ProbabilityRecoverableSuccess and MeanRecoverableSuccess.
Response
{
"id": 0,
"name": "string",
"modifiedDate": "2019-08-24T14:15:22Z",
"modifiedUserName": "string",
"modifiedRealName": "string",
"createdDate": "2019-08-24T14:15:22Z",
"createdUserName": "string",
"createdRealName": "string",
"prospectId": 0,
"prospectName": "string",
"version": "string",
"summary": "string",
"analysisResult": {
"successDiscovery": 0.1,
"aboveScreeningThreshold": 0.1,
"wellPath": 0.1,
"results": {
"property1": {
"mean": 0.1,
"probabilityValues": {
"property1": null,
"property2": null
}
},
"property2": {
"mean": 0.1,
"probabilityValues": {
"property1": null,
"property2": null
}
}
},
"oilOnly": 0.1,
"gasOnly": 0.1,
"oilAndGas": 0.1,
"dfiRiskSummaries": [
{
"enrolledAnalysisId": 0,
"initial": 0.1,
"standAloneWithDFI": 0.1,
"inProspectWithDFI": 0.1
}
]
},
"properties": {
"property1": {
"label": "string",
"value": "string"
},
"property2": {
"label": "string",
"value": "string"
}
},
"scenarioSetups": [
{
"analysisId": 0,
"analysisName": "string",
"analysisType": "string",
"weight": 0.1,
"meanRecoverableSuccess": 0.1,
"probabilityRecoverableSuccess": 0.1
}
],
"overallUnconditionalProspect": 0.1,
"nonSuccessProbability": 0.1,
"crsId": 0,
"innerRings": [
"string"
],
"outerRing": "string",
"prospectAnalysisProperties": {
"property1": {
"property1": {
"label": "string",
"value": "string"
},
"property2": {
"label": "string",
"value": "string"
}
},
"property2": {
"property1": {
"label": "string",
"value": "string"
},
"property2": {
"label": "string",
"value": "string"
}
}
}
}